"""back 

Revision ID: c783fc8d357c
Revises: 5bc2bd9f4d52
Create Date: 2024-04-21 04:28:38.908837

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'c783fc8d357c'
down_revision: Union[str, None] = '5bc2bd9f4d52'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('task_file_project_id_fkey', 'task_file', type_='foreignkey')
    op.drop_column('task_file', 'project_id')
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('task_file', sa.Column('project_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('task_file_project_id_fkey', 'task_file', 'project', ['project_id'], ['id'])
    # ### end Alembic commands ###
